---
search:
  tags:
    - database-services
    - POST
seo:
  description: >-
    Change the virtual IP of an HA database service. Reference for the POST
    /api/v1/database-services/{id}/vip endpoint in the TimescaleDB Enterprise
    API.
  noindex: true
sidebar:
  label: Change the virtual IP
  badge: POST
title: Change the virtual IP
type: openapi-operation
---
Change the virtual IP of an HA database service.

`POST /api/v1/database-services/{id}/vip`

**Request body** (`application/json`, required)

- `vip` (string, required) — The new virtual IP. It must be an IPv4 address in a subnet of a network interface on every PostgreSQL node.

Request body example:

```json
{
  "vip": "string"
}
```

**Responses**

- `202` — Accepted
- `default` — Error

Response example, 202:

```json
{
  "backupConfigOutOfSync": true,
  "backupNeedsAttention": true,
  "backupUnprotected": true,
  "created_at": "string",
  "data_dir": "string",
  "database_name": "string",
  "extension_versions": {
    "property1": "string",
    "property2": "string"
  },
  "extensions": [
    "string"
  ],
  "health": {
    "checked_at": "2019-08-24T14:15:22Z",
    "components": [
      {
        "key": "patroni",
        "message": "string",
        "name": "string",
        "status": "healthy"
      }
    ],
    "reason": "string",
    "since": "2019-08-24T14:15:22Z",
    "status": "healthy"
  },
  "id": "string",
  "license_enforced": true,
  "livesync_target": true,
  "name": "string",
  "pack_release": "string",
  "pg_version": "string",
  "pg_version_minor": "string",
  "postgresql_exists": true,
  "redeploy_recommended": true,
  "status": "string",
  "timescaledb_version": "string",
  "topology": "single_node",
  "updates_available": true
}
```
